Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class SangerSynapse

    java.lang.Object
      org.joone.engine.Synapse
          org.joone.engine.FullSynapse
              org.joone.engine.SangerSynapse

All Implemented Interfaces:
  java.io.Serializable, InputPatternListener, Learnable, LearnableSynapse, NeuralElement, OutputPatternListener, Inspectable

    public class SangerSynapse

extends FullSynapse

This is the synapse useful to extract the principal components from an input data set. This synapse implements the so called Sanger PCA algorithm.

Author:
  pmarrone
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Synapse
`array, b_pattern, bitems, bouts, count, enabled, fwdLock, inps, items, learnable, m_batch, m_pattern, myLearner, notFirstTime, notFirstTimeB, outs, revLock`

Constructor Summary
`SangerSynapse()` Creates a new instance of SangerSynapse

Method Summary
`protected void` | `backward(double[] pattern)` Training Function
`Learner` | `getLearner()` Deprecated. - Used only for backward compatibility

Methods inherited from class org.joone.engine.FullSynapse
`forward, setArrays, setDimensions`

Methods inherited from class org.joone.engine.Synapse
`addNoise, canCountSteps, check, fwdGet, fwdPut, getFwdLock, getIgnoreBefore, getInputDimension, getLearningRate, getMomentum, getMonitor, getName, getOutputDimension, getRevLock, getWeights, init, initLearner, InspectableTitle, Inspections, isEnabled, isInputFull, isLoopBack, isOutputFull, randomize, readResolve, reset, revGet, revPut, setEnabled, setIgnoreBefore, setInputDimension, setInputFull, setLearningRate, setLoopBack, setMomentum, setMonitor, setName, setOutputDimension, setOutputFull, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.joone.engine.LearnableSynapse
`getInputDimension, getLearningRate, getMomentum, getOutputDimension, getWeights, setWeights`

Methods inherited from interface org.joone.engine.Learnable
`getMonitor, initLearner`

Constructor Detail

### SangerSynapse

    public SangerSynapse()

  Creates a new instance of SangerSynapse

Method Detail

### backward

    protected void backward(double[] pattern)

  Training Function

  Overrides:
    `backward` in class `FullSynapse`
  Parameters:
    `pattern` - double[] - Input pattern used to calculate the weight's modifications

### getLearner

    public Learner getLearner()

  Deprecated. - Used only for backward compatibility

  Description copied from class: `Synapse`
  Returns the appropriate Learner object for this class depending on the Monitor.learningMode property value

  Specified by:
    `getLearner` in interface `Learnable`
  Overrides:
    `getLearner` in class `FullSynapse`
  Returns:
    the Learner object if applicable, otherwise null
  See Also:
    `Learnable.getLearner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net